$(document).ready(function () {


    ////////////////////////////////////////////
    //
    // Fetch JSON
    //
    fetch('/chord_crosswords.json')
        .then(function(response) {
            return response.json();
        })
        .then(function(chartData) {

            ///////////////////////////////
            //
            // Data
            //

            data = chartData['data'];

            //// all systems go
            //console.log(data);

            //console.log(chartData);
            //>> Object { labels: Array[58], data: Array[58] }




            ///////////////////////////////
            //
            // Chart
            //

            var radius = 600;
            var bandWidth = 30;

            var chordLayout = d3.layout.chord() //create layout object
                              .sortChords( d3.ascending ) //set a property
                              .padding( 0.01 ); //property-setting methods can be chained
            
            chordLayout.matrix( data );  //set the data matrix

            var arcFunction = d3.svg.arc() //create the arc path generator
                                           //with default angle accessors
                              .innerRadius( radius )
                              .outerRadius( radius + bandWidth); 
                                           //set constant radius values
            


            var groupPaths = d3.selectAll("path.group")
                             .data( chordLayout.groups() ); 
                //join the selection to the appropriate data object array 
                //from the chord layout 
            
            groupPaths.enter().append("path") //create paths if this isn't an update
                      .attr("class", "group"); //set the class
                      /* also set any other attributes that are independent of the data */
            
            groupPaths.attr("fill", 'steelblue') //groupColourFunction )
                      //set attributes that are functions of the data
                      .attr("d", arcFunction ); //create the shape
               //d3 will pass the data object for each path to the arcFunction
               //which will create the string for the path "d" attribute
            


            var chordFunction = d3.svg.chord() //create the chord path generator
                                               //with default accessors
                                .radius( radius );  //set constant radius
            
            var chordPaths = d3.selectAll("path.chord")
                             .data( chordLayout.chords() ); 
                //join the selection to the appropriate data object array 
                //from the chord layout 
            
            chordPaths.enter().append("path") //create paths if this isn't an update
                      .attr("class", "chord"); //set the class
                      /* also set any other attributes that are independent of the data */
            
            chordPaths.attr("fill", 'steelblue' ) //chordColourFunction )
                      //set attributes that are functions of the data
                      .attr("d", chordFunction ); //create the shape
               //d3 will pass the data object for each path to the chordFunction
               //which will create the string for the path "d" attribute


            console.log('finished');

        });//end fetch json

});

